const message = require('@commitlint/message');

module.exports = {
  rules: {
    'has-jira-issue': function(parsed, when = 'always', value = 'DAZ') {
      const { subject } = parsed;
      const negated = when === 'never';
      const issueRegex = `${value}-\d+\s.*`;
      const matches = new RegExp(issueRegex, 'u').test(subject);

      return [
        negated !== matches,
        message([
          'subject',
          negated ? 'may not' : 'must',
          `include a JIRA-issue matching: ${value}-[0-9]+`,
        ]),
      ];
    },
  },
};
